Customers

Get a customer

GET/customers/{uid}needscustomers:read

Includes externalId, the business's own id for them, once linked through a decision hook.

Needs the customers:read permission.

Path parameters

uidstringrequired

The customer's uid

Response

data: Customer

uidstring

Example:"u_9fK2mP7qR1"

emailstring

Example:"ada@example.com"

externalIdstringnullable

The business's own id for this customer, from account linking

Example:"MEMBER-0042"

totalVouchersinteger

Example:7

totalSpentKobointeger

Lifetime spend, in kobo

Example:355250

joinedAtstringnullable

ISO 8601 time, UTC

Example:"2026-08-03T17:45:00.000Z"

GET/customers/{uid}
1curl "https://ogawifi.online/api/v1/customers/$CUSTOMER_UID" \2  -H "Authorization: Bearer $OGAWIFI_API_KEY"
200Successful response
1{2  "data": {3    "uid": "u_9fK2mP7qR1",4    "email": "ada@example.com",5    "externalId": "MEMBER-0042",6    "totalVouchers": 7,7    "totalSpentKobo": 355250,8    "joinedAt": "2026-08-03T17:45:00.000Z"9  }10}